ZMQ_MSG_CLOSE(3)

NAME
zmq_msg_close - release 0MQ message

SYNOPSIS

int zmq_msg_close (zmq_msg_t *msg);

DESCRIPTION

The zmq_msg_close() function shall inform the 0MQ infrastructure that any resources associated with the message object referenced by msg are no longer required and may be released. Actual release of resources associated with the message object shall be postponed by 0MQ until all users of the message or underlying data buffer have indicated it is no longer required.

Applications should ensure that zmq_msg_close() is called once a message is no longer required, otherwise memory leaks may occur.

    Caution

    Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

RETURN VALUE

The zmq_msg_close() function shall return zero if successful. Otherwise it shall return -1 and set errno to one of the values defined below.

ERRORS

EFAULT
    Invalid message.

SEE ALSO

zmq_msg_init(3) zmq_msg_init_size(3) zmq_msg_init_data(3) zmq_msg_data(3) zmq_msg_size(3) zmq(7)

AUTHORS

This 0MQ manual page was written by Martin Sustrik <sustrik@250bpm.com[1]> and Martin Lucina <mato@kotelna.sk[2]>.

NOTES

1.  sustrik@250bpm.com
    mailto:sustrik@250bpm.com

2.  mato@kotelna.sk
    mailto:mato@kotelna.sk